diff --git a/include/ieee1516-2000/RTI/RTIambassador.h b/include/ieee1516-2000/RTI/RTIambassador.h
index 9b3d82fc..f14d7c30 100644
--- a/include/ieee1516-2000/RTI/RTIambassador.h
+++ b/include/ieee1516-2000/RTI/RTIambassador.h
@@ -796,205 +372,83 @@ namespace rti1516
   
     // 9.2
     virtual RegionHandle createRegion
-    (DimensionHandleSet const & theDimensions)
-      throw (InvalidDimensionHandle,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (DimensionHandleSet const & theDimensions) = 0;
 
     // 9.3
     virtual void commitRegionModifications
-    (RegionHandleSet const & theRegionHandleSet)
-      throw (InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (RegionHandleSet const & theRegionHandleSet) = 0;
 
     // 9.4
     virtual void deleteRegion
-    (RegionHandle theRegion)
-      throw (InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             RegionInUseForUpdateOrSubscription,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (RegionHandle theRegion) = 0;
 
     // 9.5
     virtual ObjectInstanceHandle registerObjectInstanceWithRegions
     (ObjectClassHandle theClass,
      AttributeHandleSetRegionHandleSetPairVector const &
-     theAttributeHandleSetRegionHandleSetPairVector)
-      throw (ObjectClassNotDefined,
-             ObjectClassNotPublished,
-             AttributeNotDefined,
-             AttributeNotPublished,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
     virtual ObjectInstanceHandle registerObjectInstanceWithRegions
     (ObjectClassHandle theClass,
      AttributeHandleSetRegionHandleSetPairVector const &
      theAttributeHandleSetRegionHandleSetPairVector,
-     std::wstring const & theObjectInstanceName)
-      throw (ObjectClassNotDefined,
-             ObjectClassNotPublished,
-             AttributeNotDefined,
-             AttributeNotPublished,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             ObjectInstanceNameNotReserved,
-             ObjectInstanceNameInUse,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     std::wstring const & theObjectInstanceName) = 0;
 
     // 9.6
     virtual void associateRegionsForUpdates
     (ObjectInstanceHandle theObject,
      AttributeHandleSetRegionHandleSetPairVector const &
-     theAttributeHandleSetRegionHandleSetPairVector)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
     // 9.7
     virtual void unassociateRegionsForUpdates
     (ObjectInstanceHandle theObject,
      AttributeHandleSetRegionHandleSetPairVector const &
-     theAttributeHandleSetRegionHandleSetPairVector)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
     // 9.8
     virtual void subscribeObjectClassAttributesWithRegions
     (ObjectClassHandle theClass,
      AttributeHandleSetRegionHandleSetPairVector const &
      theAttributeHandleSetRegionHandleSetPairVector,
-     bool active = true)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     bool active = true) = 0;
 
     // 9.9
     virtual void unsubscribeObjectClassAttributesWithRegions
     (ObjectClassHandle theClass,
      AttributeHandleSetRegionHandleSetPairVector const &
-     theAttributeHandleSetRegionHandleSetPairVector)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
     // 9.10
     virtual void subscribeInteractionClassWithRegions
     (InteractionClassHandle theClass,
      RegionHandleSet const & theRegionHandleSet,
-     bool active = true)
-      throw (InteractionClassNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateServiceInvocationsAreBeingReportedViaMOM,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     bool active = true) = 0;
 
     // 9.11
     virtual void unsubscribeInteractionClassWithRegions
     (InteractionClassHandle theClass,
-     RegionHandleSet const & theRegionHandleSet)
-      throw (InteractionClassNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     RegionHandleSet const & theRegionHandleSet) = 0;
 
     // 9.12
     virtual void sendInteractionWithRegions
     (InteractionClassHandle theInteraction,
      ParameterHandleValueMap const & theParameterValues,
      RegionHandleSet const & theRegionHandleSet,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (InteractionClassNotDefined,
-             InteractionClassNotPublished,
-             InteractionParameterNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual MessageRetractionHandle sendInteractionWithRegions
     (InteractionClassHandle theInteraction,
      ParameterHandleValueMap const & theParameterValues,
      RegionHandleSet const & theRegionHandleSet,
      VariableLengthData const & theUserSuppliedTag,
-     LogicalTime const & theTime)
-      throw (InteractionClassNotDefined,
-             InteractionClassNotPublished,
-             InteractionParameterNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             InvalidLogicalTime,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     LogicalTime const & theTime) = 0;
 
     // 9.13
     virtual void requestAttributeValueUpdateWithRegions
     (ObjectClassHandle theClass,
      AttributeHandleSetRegionHandleSetPairVector const & theSet,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             InvalidRegionContext,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     //////////////////////////
     // RTI Support Services //
@@ -1002,295 +456,150 @@ namespace rti1516
   
     // 10.2
     virtual ObjectClassHandle getObjectClassHandle
-    (std::wstring const & theName)
-      throw (NameNotFound,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & theName) = 0;
 
     // 10.3
     virtual std::wstring getObjectClassName
-    (ObjectClassHandle theHandle)
-      throw (InvalidObjectClassHandle,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (ObjectClassHandle theHandle) = 0;
 
     // 10.4
     virtual AttributeHandle getAttributeHandle
     (ObjectClassHandle whichClass,
-     std::wstring const & theAttributeName)
-      throw (InvalidObjectClassHandle,
-             NameNotFound,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+     std::wstring const & theAttributeName) = 0;
 
     // 10.5
     virtual std::wstring getAttributeName
     (ObjectClassHandle whichClass,
-     AttributeHandle theHandle)   
-      throw (InvalidObjectClassHandle,
-             InvalidAttributeHandle,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+     AttributeHandle theHandle) = 0;
 
     // 10.6
     virtual InteractionClassHandle getInteractionClassHandle
-    (std::wstring const & theName)
-      throw (NameNotFound,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & theName) = 0;
 
     // 10.7
     virtual std::wstring getInteractionClassName
-    (InteractionClassHandle theHandle)
-      throw (InvalidInteractionClassHandle,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (InteractionClassHandle theHandle) = 0;
 
     // 10.8
     virtual ParameterHandle getParameterHandle
     (InteractionClassHandle whichClass,
-     std::wstring const & theName)
-      throw (InvalidInteractionClassHandle,
-             NameNotFound,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+     std::wstring const & theName) = 0;
 
     // 10.9
     virtual std::wstring getParameterName
     (InteractionClassHandle whichClass,
-     ParameterHandle theHandle)   
-      throw (InvalidInteractionClassHandle,
-             InvalidParameterHandle,
-             InteractionParameterNotDefined,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+     ParameterHandle theHandle) = 0;
 
     // 10.10
     virtual ObjectInstanceHandle getObjectInstanceHandle
-    (std::wstring const & theName)
-      throw (ObjectInstanceNotKnown,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & theName) = 0;
 
     // 10.11
     virtual std::wstring getObjectInstanceName
-    (ObjectInstanceHandle theHandle)
-      throw (ObjectInstanceNotKnown,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (ObjectInstanceHandle theHandle) = 0;
 
     // 10.12
     virtual DimensionHandle getDimensionHandle
-    (std::wstring const & theName)
-      throw (NameNotFound,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & theName) = 0;
 
     // 10.13
     virtual std::wstring getDimensionName
-    (DimensionHandle theHandle)
-      throw (InvalidDimensionHandle,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (DimensionHandle theHandle) = 0;
 
     // 10.14
     virtual unsigned long getDimensionUpperBound
-    (DimensionHandle theHandle)   
-      throw (InvalidDimensionHandle,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (DimensionHandle theHandle) = 0;
 
     // 10.15
     virtual DimensionHandleSet getAvailableDimensionsForClassAttribute
     (ObjectClassHandle theClass,
-     AttributeHandle theHandle)   
-      throw (InvalidObjectClassHandle,
-             InvalidAttributeHandle,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+     AttributeHandle theHandle) = 0;
 
     // 10.16
     virtual ObjectClassHandle getKnownObjectClassHandle
-    (ObjectInstanceHandle theObject)
-      throw (ObjectInstanceNotKnown,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (ObjectInstanceHandle theObject) = 0;
 
     // 10.17
     virtual DimensionHandleSet getAvailableDimensionsForInteractionClass
-    (InteractionClassHandle theClass)
-      throw (InvalidInteractionClassHandle,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (InteractionClassHandle theClass) = 0;
 
     // 10.18
     virtual TransportationType getTransportationType
-    (std::wstring const & transportationName)
-      throw (InvalidTransportationName,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & transportationName) = 0;
 
     // 10.19
     virtual std::wstring getTransportationName
-    (TransportationType transportationType)
-      throw (InvalidTransportationType,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (TransportationType transportationType) = 0;
 
     // 10.20
     virtual OrderType getOrderType
-    (std::wstring const & orderName)
-      throw (InvalidOrderName,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (std::wstring const & orderName) = 0;
 
     // 10.21
     virtual std::wstring getOrderName
-    (OrderType orderType)
-      throw (InvalidOrderType,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (OrderType orderType) = 0;
 
     // 10.22
-    virtual void enableObjectClassRelevanceAdvisorySwitch ()
-      throw (ObjectClassRelevanceAdvisorySwitchIsOn,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableObjectClassRelevanceAdvisorySwitch () = 0;
 
     // 10.23
-    virtual void disableObjectClassRelevanceAdvisorySwitch ()
-      throw (ObjectClassRelevanceAdvisorySwitchIsOff,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableObjectClassRelevanceAdvisorySwitch () = 0;
 
     // 10.24
-    virtual void enableAttributeRelevanceAdvisorySwitch ()
-      throw (AttributeRelevanceAdvisorySwitchIsOn,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableAttributeRelevanceAdvisorySwitch () = 0;
 
     // 10.25
-    virtual void disableAttributeRelevanceAdvisorySwitch ()
-      throw (AttributeRelevanceAdvisorySwitchIsOff,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableAttributeRelevanceAdvisorySwitch () = 0;
 
     // 10.26
-    virtual void enableAttributeScopeAdvisorySwitch ()
-      throw (AttributeScopeAdvisorySwitchIsOn,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableAttributeScopeAdvisorySwitch () = 0;
 
     // 10.27
-    virtual void disableAttributeScopeAdvisorySwitch ()
-      throw (AttributeScopeAdvisorySwitchIsOff,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableAttributeScopeAdvisorySwitch () = 0;
 
     // 10.28
-    virtual void enableInteractionRelevanceAdvisorySwitch ()
-      throw (InteractionRelevanceAdvisorySwitchIsOn,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableInteractionRelevanceAdvisorySwitch () = 0;
 
     // 10.29
-    virtual void disableInteractionRelevanceAdvisorySwitch ()
-      throw (InteractionRelevanceAdvisorySwitchIsOff,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableInteractionRelevanceAdvisorySwitch () = 0;
 
     // 10.30
     virtual
     DimensionHandleSet getDimensionHandleSet
-    (RegionHandle theRegionHandle)
-      throw (InvalidRegion,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (RegionHandle theRegionHandle) = 0;
 
     // 10.31
     virtual
     RangeBounds getRangeBounds
     (RegionHandle theRegionHandle,
-     DimensionHandle theDimensionHandle)
-      throw (InvalidRegion,
-             RegionDoesNotContainSpecifiedDimension,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     DimensionHandle theDimensionHandle) = 0;
 
     // 10.32
     virtual void setRangeBounds
     (RegionHandle theRegionHandle,
      DimensionHandle theDimensionHandle,
-     RangeBounds const & theRangeBounds)
-      throw (InvalidRegion,
-             RegionNotCreatedByThisFederate,
-             RegionDoesNotContainSpecifiedDimension,
-             InvalidRangeBound,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     RangeBounds const & theRangeBounds) = 0;
 
     // 10.33
     virtual unsigned long normalizeFederateHandle
-    (FederateHandle theFederateHandle)
-      throw (FederateNotExecutionMember,
-             InvalidFederateHandle,
-             RTIinternalError) = 0;
+    (FederateHandle theFederateHandle) = 0;
 
     // 10.34
     virtual unsigned long normalizeServiceGroup
-    (ServiceGroupIndicator theServiceGroup)
-      throw (FederateNotExecutionMember,
-             InvalidServiceGroup,
-             RTIinternalError) = 0;
+    (ServiceGroupIndicator theServiceGroup) = 0;
 
     // 10.37
-    virtual bool evokeCallback(double approximateMinimumTimeInSeconds)
-      throw (FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    virtual bool evokeCallback(double approximateMinimumTimeInSeconds) = 0;
 
     // 10.38
     virtual bool evokeMultipleCallbacks(double approximateMinimumTimeInSeconds,
-                                        double approximateMaximumTimeInSeconds)
-      throw (FederateNotExecutionMember,
-             RTIinternalError) = 0;
+                                        double approximateMaximumTimeInSeconds) = 0;
 
     // 10.39
-    virtual void enableCallbacks ()
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableCallbacks () = 0;
 
     // 10.40
-    virtual void disableCallbacks ()
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableCallbacks () = 0;
 
     virtual FederateHandle decodeFederateHandle(
        VariableLengthData const & encodedValue) const = 0;
diff --git a/include/ieee1516-2000/RTI/RTIambassadorFactory.h b/include/ieee1516-2000/RTI/RTIambassadorFactory.h
index 210872d4..2a587321 100644
--- a/include/ieee1516-2000/RTI/RTIambassadorFactory.h
+++ b/include/ieee1516-2000/RTI/RTIambassadorFactory.h
@@ -26,13 +26,11 @@ namespace rti1516
     
     virtual
     ~RTIambassadorFactory()
-      throw ();
+      noexcept;
     
     // 10.35
     std::auto_ptr< RTIambassador >
-    createRTIambassador(std::vector< std::wstring > & args)
-      throw (BadInitializationParameter,
-             RTIinternalError);
+    createRTIambassador(std::vector< std::wstring > & args);
   };
 }
 
diff --git a/include/ieee1516-2000/RTI/certiLogicalTime.h b/include/ieee1516-2000/RTI/certiLogicalTime.h
index 4916ef88..187ec19f 100644
--- a/include/ieee1516-2000/RTI/certiLogicalTime.h
+++ b/include/ieee1516-2000/RTI/certiLogicalTime.h
@@ -49,7 +49,7 @@ namespace rti1516
   public:
     virtual
     ~LogicalTime()
-      throw () { };
+      noexcept { };
 
     virtual
     void
@@ -69,43 +69,35 @@ namespace rti1516
 
     virtual
     LogicalTime &
-    operator=(LogicalTime const & value)
-      throw (InvalidLogicalTime) = 0;
+    operator=(LogicalTime const & value) = 0;
 
     virtual
     LogicalTime &
-    operator+=(LogicalTimeInterval const & addend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator+=(LogicalTimeInterval const & addend) = 0;
 
     virtual
     LogicalTime &
-    operator-=(LogicalTimeInterval const & subtrahend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator-=(LogicalTimeInterval const & subtrahend) = 0;
 
     virtual
     bool
-    operator>(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator==(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator==(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator>=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>=(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<=(LogicalTime const & value) const = 0;
     
     // Generates an encoded value that can be used to send
     // LogicalTimes to other federates in updates or interactions
@@ -113,18 +105,13 @@ namespace rti1516
 
     // Alternate encode for directly filling a buffer
     virtual unsigned long encodedLength() const = 0;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const 
-       throw (CouldNotEncode) = 0;
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const = 0;
    
     // Decode encodedLogicalTime into self
-    virtual void decode(VariableLengthData const & encodedLogicalTime)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(VariableLengthData const & encodedLogicalTime) = 0;
 
     // Alternate decode that reads directly from a buffer
-    virtual void decode(void* buffer, unsigned long bufferSize)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(void* buffer, unsigned long bufferSize) = 0;
 
     virtual std::wstring toString() const = 0;
 
diff --git a/include/ieee1516-2000/RTI/certiLogicalTimeFactory.h b/include/ieee1516-2000/RTI/certiLogicalTimeFactory.h
index 91608f2a..945850f4 100644
--- a/include/ieee1516-2000/RTI/certiLogicalTimeFactory.h
+++ b/include/ieee1516-2000/RTI/certiLogicalTimeFactory.h
@@ -60,14 +60,12 @@ namespace rti1516
     // Returns a LogicalTime with a value of "initial"
     virtual
     std::auto_ptr< LogicalTime >
-    makeLogicalTime()
-      throw (InternalError) = 0;
+    makeLogicalTime() = 0;
     
     // Returns a LogicalTimeInterval with a value of "zero"
     virtual 
     std::auto_ptr< LogicalTimeInterval >
-    makeLogicalTimeInterval() 
-      throw (InternalError) = 0;
+    makeLogicalTimeInterval() = 0;
   };
 }
 
diff --git a/include/ieee1516-2000/RTI/certiLogicalTimeInterval.h b/include/ieee1516-2000/RTI/certiLogicalTimeInterval.h
index 93c54770..f8875dc3 100644
--- a/include/ieee1516-2000/RTI/certiLogicalTimeInterval.h
+++ b/include/ieee1516-2000/RTI/certiLogicalTimeInterval.h
@@ -68,50 +68,41 @@ namespace rti1516
 
     virtual
     LogicalTimeInterval &
-    operator=(LogicalTimeInterval const & value)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator=(LogicalTimeInterval const & value) = 0;
 
     // Set self to the difference between two LogicalTimes
     virtual
     void
     setToDifference(LogicalTime const & minuend,
-      LogicalTime const& subtrahend)
-      throw (InvalidLogicalTime) = 0;
+      LogicalTime const& subtrahend) = 0;
 
     virtual
     LogicalTimeInterval &
-    operator+=(LogicalTimeInterval const & addend)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator+=(LogicalTimeInterval const & addend) = 0;
 
     virtual
     LogicalTimeInterval &
-    operator-=(LogicalTimeInterval const & subtrahend)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator-=(LogicalTimeInterval const & subtrahend) = 0;
     
     virtual
     bool
-    operator>(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator>(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator<(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator<(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator==(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator==(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator>=(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator>=(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator<=(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator<=(LogicalTimeInterval const & value) const = 0;
     
     // Generates an encoded value that can be used to send
     // LogicalTimeIntervals to other federates in updates or interactions
@@ -119,18 +110,13 @@ namespace rti1516
 
     // Alternate encode for directly filling a buffer
     virtual unsigned long encodedLength() const = 0;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const 
-       throw (CouldNotEncode) = 0;
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const = 0;
 
     // Decode encodedValue into self
-    virtual void decode(VariableLengthData const & encodedValue)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(VariableLengthData const & encodedValue) = 0;
 
     // Alternate decode that reads directly from a buffer
-    virtual void decode(void* buffer, unsigned long bufferSize)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(void* buffer, unsigned long bufferSize) = 0;
 
     virtual std::wstring toString() const = 0;
 
